#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    int N,i,j,b,n,S;
    int mat[10][10];
    scanf("%d",&N);
    for(i=0;i<N;++i){
        for(j=0;j<2;++j){
        scanf("%d",&mat[i][j]);
        }
        b=pow(10,9)+7;
        n=pow(2,N)-1;
        S=n%b-b%n;
    }
    printf("%d",S);
    return 0;
}